#ifndef REFRACTIVE_INDEX_H
#define REFRACTIVE_INDEX_H 1

#ifdef __cplusplus
extern "C" {
#endif


void refwat_(int* iunit, float* xlam, float* temperature_k,
	     float* refind_r, float* refind_i, float* absind, float*abscof);
void refice_(int* iunit, float* xlam, float* temperature_k,
	     float* refind_r, float* refind_i, float* absind, float*abscof);

void maxwell_garnet(double fraction, double refind_r_in, double refind_i_in,
		    double* refind_r_out, double* refind_i_out);

static inline
void
refind_water(/* Inputs: */
	     float wavelength_m, float temperature_K,
	     /* Outputs: */
	     float* refind_r, float* refind_i)
{
  float wavelength_mm = wavelength_m*1000.0;
  float absind, abscof;
  int iunit = 1;
  refwat_(&iunit, &wavelength_mm, &temperature_K,
	  refind_r, refind_i, &absind, &abscof);
}

static inline
void
refind_ice(/* Inputs: */
	   float wavelength_m, float temperature_K,
	   /* Outputs: */
	   float* refind_r, float* refind_i)
{
  float wavelength_mm = wavelength_m*1000.0;
  float absind, abscof;
  int iunit = 1;
  refice_(&iunit, &wavelength_mm, &temperature_K,
	  refind_r, refind_i, &absind, &abscof);
}

#ifdef __cplusplus
}
#endif

#endif
